Bug 481060 - Wine from CrossOver installation causes an SeLinux denial
Wine from CrossOver installation causes an SeLinux denial
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 17:39 EST by wilsonhaven
Modified: 2009-11-18 05:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 05:55:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
WineHQ closed bug report (572.06 KB, application/pdf)
2009-01-21 17:39 EST, wilsonhaven
no flags Details

  None (edit)
Description wilsonhaven 2009-01-21 17:39:23 EST
Created attachment 329669 [details]
WineHQ closed bug report

Description of problem: SELinux denied access requested by wine-preloader


Version-Release number of selected component (if applicable): 
selinux-policy-targeted-3.5.13-38.fc10.noarch
cxoffice-7.1.0

How reproducible: Every time used


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Application opens, but Setroubleshooter posts AVC error

Expected results:


Additional info:
Entered an error with WineHQ and they state that wine must mmap 0. Closed bug report attached.

Thanks!
Comment 1 Daniel Walsh 2009-01-22 14:43:47 EST
What AVC did you see,  The problem was the wine-preloader was not labeled wine_exec_t.
Comment 2 wilsonhaven 2009-01-22 15:38:03 EST
I'm getting the following errors when I use any of the Crossover installed apps.  In this case WINWORD.exe.

Raw Audit Messages            

node=ella type=AVC msg=audit(1232574797.279:115): avc:  denied  { execmod } for  pid=7204 comm="WINWORD.EXE" path=2F686F6D652F6172772F2E63786F66666963652F77696E323030302F64726976655F632F50726F6772616D2046696C65732F4D6963726F736F6674204F66666963652F4F464649434531312F494E544C444154452E444C4C dev=dm-0 ino=4370606 scontext=unconfined_u:unconfined_r:unconfined_t:s0 tcontext=unconfined_u:object_r:home_root_t:s0 tclass=file

node=ella type=SYSCALL msg=audit(1232574797.279:115): arch=40000003 syscall=125 success=no exit=-13 a0=374c0000 a1=1000 a2=5 a3=374c0000 items=0 ppid=7172 pid=7204 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="WINWORD.EXE" exe="/home/arw/cxoffice/bin/wine-preloader" subj=unconfined_u:unconfined_r:unconfined_t:s0 key=(null)

I'll label wine-preloader wine_exec_t.

Thanks!
Comment 3 Daniel Walsh 2009-01-26 12:05:47 EST
Miroslav could you make wine.fc look like

/usr/bin/wine.*			--	gen_context(system_u:object_r:wine_exec_t,s0)

/opt/cxoffice/bin/wine.*		--	gen_context(system_u:object_r:wine_exec_t,s0)
/opt/picasa/wine/bin/wine.*	--	gen_context(system_u:object_r:wine_exec_t,s0)
/opt/google/picasa(/.*)?/bin/wine.*	--	gen_context(system_u:object_r:wine_exec_t,s0)

HOME_DIR/cxoffice/bin/wine.+		--	gen_context(system_u:object_r:wine_exec_t,s0)
Comment 4 Miroslav Grepl 2009-01-27 13:43:08 EST
Fixed in selinux-policy-3.5.13-41.fc10
Comment 5 Bug Zapper 2009-11-18 05:49:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.